## com.imcode.imcms.flow
Class EditFileDocumentPageFlow.ValidMimeTypeRestriction

    java.lang.Object
      com.imcode.imcms.flow.EditFileDocumentPageFlow.ValidMimeTypeRestriction

All Implemented Interfaces:
  EditFileDocumentPageFlow.MimeTypeRestriction, java.io.Serializable

Direct Known Subclasses:
  EditFileDocumentPageFlow.ArrayMimeTypeRestriction

Enclosing class:
  EditFileDocumentPageFlow

    public static class EditFileDocumentPageFlow.ValidMimeTypeRestriction

extends java.lang.Object
implements EditFileDocumentPageFlow.MimeTypeRestriction

See Also:
  Serialized Form

Field Summary
`protected LocalizedMessage` `errorMessage`

Constructor Summary
`EditFileDocumentPageFlow.ValidMimeTypeRestriction()`

Method Summary
`boolean` `allows(java.lang.String mimeType)`
`LocalizedMessage` `getErrorMessage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorMessage

    protected LocalizedMessage errorMessage

Constructor Detail

### EditFileDocumentPageFlow.ValidMimeTypeRestriction

    public EditFileDocumentPageFlow.ValidMimeTypeRestriction()

Method Detail

### allows

    public boolean allows(java.lang.String mimeType)

  Specified by:
    `allows` in interface `EditFileDocumentPageFlow.MimeTypeRestriction`

### getErrorMessage

    public LocalizedMessage getErrorMessage()

  Specified by:
    `getErrorMessage` in interface `EditFileDocumentPageFlow.MimeTypeRestriction`